Updates the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "e32c15cf-8664-4a96-9afc-25b31be0825d",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "ca53f143-df30-4c0e-bb2d-5e1a6bcc193d",
"company_code": "sample string 5",
"company": {
"id": "e8ffc30b-5792-4293-a1f2-b3b91df1559e",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-28T16:44:32.0242066+00:00",
"sales_territory_id": "a9c548ae-0ad1-4a61-96ff-52f4c1308ebf",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "82cdd1a7-fbd3-4d5a-ae2c-f687ef64b826",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "81429e87-79e0-45f0-897a-6117ca1de38b",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "3c6a8aeb-8d34-4208-85f4-df90165007c2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "07561d5f-61eb-4422-9a5d-2d0f20220618",
"db_currency_id": "6a6fa68b-cccb-48cd-b9e6-785898a21865",
"db_language_id": "a5b1bf56-bf92-47a7-b3cb-f884af3102a0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T16:44:32.0242066+00:00"
},
"modified_dateutc": "2026-10-28T16:44:32.0242066+00:00"
},
"marketing_segment_id": "0bdcc328-19d3-4f63-98c8-1a7d0a9aae3d",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "1bbfb4c7-11f1-45a0-84c9-0f5aca62cc2e",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "8681ce32-f41b-4f54-af05-a276355edc18",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "c26ef59d-d0a2-46ff-ac4d-47d71cadf8b6",
"db_country_code": "sample string 28",
"feelist_id": "3fc388a7-3504-4b89-8f36-4990e18485bd",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "84f315c7-5d64-4689-b7a4-be2b845ec902",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "cade0511-c2d5-4a93-a85e-362ee616ab52",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-28T16:44:32.0242066+00:00",
"db_currency_id": "b3582b89-94ba-4ef9-a9b4-f28a323d83ae",
"db_currency_code": "sample string 10"
},
"company_type_id": "c6189957-1b6f-4e62-8d14-00b4ca1a2565",
"company_type_name": "sample string 32",
"company_type": {
"id": "af5c114d-68ab-439b-be36-cfdb76bd52d9",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "08e33030-c08a-4f73-9f43-e4453e262861",
"sales_organization_code": "sample string 5"
},
"db_language_id": "042e5ce6-9b5f-474e-9f1f-4a704ca699e1",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "0e336603-c854-4609-b191-7a0366b57f05",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "a49673e7-2798-4339-a53b-e45094ed2d69",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "37bd2011-b66e-47e0-99e1-f5f51fa5b3bb",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-28T16:44:32.0242066+00:00"
},
"company_sector_id": "8b4a4c22-d725-4d90-8c29-b1aeb8952fa3",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "e4b4685a-735d-4f86-9cb0-1ae5d8c4cecd",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "ba0055af-3cad-4ec6-9f69-5834b36bea8c",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "16d6bc8b-c90b-4a79-a18e-8bda5dac56cf",
"account_manager_user_code": "sample string 56",
"company_status_id": "066df543-5fc4-4047-ae23-b8d14d3fa7a2",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-28T16:44:32.0242066+00:00",
"id2": 60
},
"db_language_id": "69b2c1de-9f5d-40da-97df-68130fb7f7f9",
"db_language_code": "sample string 7",
"db_title_id": "9a5ba2f2-b555-49d1-bb64-b5e2d67c1ed1",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-28T16:44:32.0242066+00:00",
"create_date": "2026-10-28T16:44:32.0242066+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-28T16:44:32.0242066+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.